
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <cstdlib>
#include <iostream>
#include <qdom.h>
#include <qxml.h>
#include <qfile.h>
#include <qstring.h>

using namespace std;

int main() {
	QDomDocument doc( "ListaDeLaCompraML" ); //Creamos el documento
	QDomElement root = doc.createElement( "lista" ); //Creamos y pasamos el documento principal del documento a root, o raiz
	doc.appendChild( root ); //Asignamos root como hijo del documento.
	QDomElement hijo; //Creamos un Elemento para usar para todos los hijos
	
	hijo = doc.createElement("producto");
	hijo.setAttribute("tipo","agua"); //ponemos el atributo llamado 'tipo' que vale 'agua'
	hijo.setAttribute("cantidad","5"); //ponemos el atributo llamado 'cantidad' que vale '5'
	root.appendChild(hijo); //Lo asignamos a la raiz (al que queremos que sea el padre
	
	hijo = doc.createElement("producto");
	hijo.setAttribute("tipo","leche");
	hijo.setAttribute("cantidad","1"); 
	root.appendChild(hijo);
	
	hijo = doc.createElement("producto");
	hijo.setAttribute("tipo","tomates");
	hijo.setAttribute("cantidad","3"); 
	root.appendChild(hijo);
	
	//Sacaremos el documento por la salida estndar. Si lo queremos guardar en un fichero:
	// ./ejemplo > lista.xml
	cout << doc.toString() << endl;
	
	return EXIT_SUCCESS;
}
