/***************************************************************************
 *   Copyright (C) 2005 by ,,,                                             *
 *   aleix@sklar                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LISTAGUI_H
#define LISTAGUI_H

#include <qwidget.h>
#include <qmenubar.h> 
#include <qlistview.h>
#include <qsize.h>
#include <qmessagebox.h>
#include <qstring.h>
#include <qfile.h>
#include <qfiledialog.h>
#include <qdom.h>
#include <qtextedit.h>
#include <qpushbutton.h>
#include <qtextstream.h>
#include <qinputdialog.h>

/**
@author ,,,
*/
class ListaGui : public QWidget
{
Q_OBJECT
public:
	ListaGui(QWidget *parent = 0, const char *name = 0);
	~ListaGui();
	void resizeEvent(QResizeEvent* qre);
	QMenuBar *menu;
	QListView *llista; //llista
	QString path;
	bool set_dom(QString ar);
	bool escriu();
//	bool hies(QString ar);


public slots:
	void obre();
	void guarda();
	void esborra();
	void afegeix();
	void edita();
//	void set();
    

};

#endif
